%define		perl_vendorarch	%(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:        Modular text mode IRC client with Perl scripting
Name:           irssi
Version:        1.4.3
Release:        3%{?dist}
License:        GPLv2+
URL:            http://irssi.org/
Source0:        https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        irssi-config.h
Patch3000:      irssi-1.4.1-botti-perl-link-fix.patch

BuildRequires:  make autoconf automake libtool
BuildRequires:  ncurses-devel openssl-devel zlib-devel
BuildRequires:  pkgconf-pkg-config glib2-devel utf8proc-devel libotr-devel
BuildRequires:  perl-devel perl-generators perl(ExtUtils::Embed)
Requires:       perl(:MODULE_COMPAT_%{?perl_version})
Requires:       perl(lib) perl(Symbol)

%description
This package provides a modular IRC client with Perl scripting. Currently only text-mode 
frontend is supported and the GTK/GNOME frontend is no longer maintained.


%package devel
Summary:	Development package for irssi
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconf-pkg-config

%description devel
This package provides header files needed to develop irssi plugins.


%prep
%autosetup -p1


%build
autoreconf -fi
%configure --with-textui		\
	--with-proxy			\
	--with-bot			\
	--with-perl=module		\
	--with-perl-lib=vendor		\
	--enable-true-color		\
	--with-otr=yes

%make_build CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
mv irssi-config.h irssi-config-$(getconf LONG_BIT).h
cp -p %{SOURCE1} irssi-config.h


%install
%make_install
install -p irssi-config-$(getconf LONG_BIT).h %{buildroot}%{_includedir}/%{name}/irssi-config-$(getconf LONG_BIT).h

rm -f %{buildroot}%{_libdir}/%{name}/modules/lib*.*a
rm -Rf %{buildroot}/%{_docdir}/%{name}
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
find %{buildroot}%{perl_vendorarch} -type f -a -name '*.bs' -a -empty -exec rm -f {} ';'
find %{buildroot}%{perl_vendorarch} -type f -a -name .packlist -exec rm {} ';'
chmod -R u+w %{buildroot}%{perl_vendorarch}


%files
%license COPYING
%doc docs/*.txt docs/*.html AUTHORS NEWS README.md TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/botti
%{_libdir}/%{name}
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/Irssi
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%files devel
%{_includedir}/irssi/
%{_libdir}/pkgconfig/irssi-1.pc


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 27 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.3-1
- initial build
